Move /srv/phab/repos to /srv/repos
Closed, ResolvedPublic

Description

In order to properly deploy phabricator with scap3, /srv/phab needs to link to the scap3 deployment repository.

Note: Need to ensure that the backup job is updated to look for /srv/repos instead of /srv/phab/repos

NOTE: A short downtime will be required (schedule a maintenance window)

Steps:

  1. wait for maintenance window
  2. Stop puppet, apache2 and phd on iridium
  3. merge https://gerrit.wikimedia.org/r/#/c/274484
  4. move /srv/phab/repos to /srv/repos
  5. T125851: Refactor phabricator module in puppet to remove git tag pinning behavior (patch submitted, pending merge)
  6. rename /srv/phab to /srv/old_phab
  7. create a symlink named /srv/phab pointing to /srv/deployment/phabricator/deployment
  8. test-run with puppet to make sure that it behaves
  9. double-check that /srv/phab is now pointing to a sane phabricator/deployment tree with the correct tags checked out
  10. start puppet, phd and apache2
mmodell created this task.Feb 4 2016, 6:13 PM
mmodell updated the task description. (Show Details)
mmodell raised the priority of this task from to High.
mmodell claimed this task.
mmodell added subscribers: demon, ArielGlenn.
Restricted Application added subscribers: Luke081515, scfc, Aklapper. · View Herald TranscriptFeb 4 2016, 6:13 PM
mmodell updated the task description. (Show Details)Feb 4 2016, 9:25 PM
mmodell set Security to None.
mmodell moved this task from To Triage to Ready to Go on the Phabricator board.Feb 10 2016, 12:42 AM
mmodell updated the task description. (Show Details)Feb 10 2016, 1:39 AM
mmodell moved this task from Needs triage to Services MVP on the Scap board.Feb 11 2016, 10:35 AM
dduvall moved this task from Services MVP to Adoption on the Scap board.Feb 12 2016, 7:00 PM
mmodell raised the priority of this task from High to Unbreak Now!.Feb 15 2016, 3:24 PM
mmodell updated the task description. (Show Details)Feb 15 2016, 9:08 PM

Change 274484 had a related patch set uploaded (by 20after4):
Move /srv/phab/repos to /srv/repos refs T125853

https://gerrit.wikimedia.org/r/274484

mmodell updated the task description. (Show Details)Mar 2 2016, 10:26 PM
mmodell added a subscriber: mmodell.
mmodell updated the task description. (Show Details)Mar 2 2016, 10:29 PM
mmodell closed this task as Resolved.Mar 3 2016, 1:49 AM
mmodell removed a project: Patch-For-Review.
mmodell updated the task description. (Show Details)
Restricted Application added subscribers: Southparkfan, TerraCodes, Urbanecm. · View Herald TranscriptApr 28 2016, 3:06 AM